#!/usr/bin/env python-3.6

import os

src_dir = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'gulik')
with open(os.path.join(src_dir, '_version.py'), 'r') as fd:
    _globals = {}
    exec(fd.read(), _globals)

version = _globals['version']


from distutils.core import setup

setup(  name='gulik',
        description='A graphical system monitor using cairo and psutil.',
        author='phryk',
        url='https://rnd.phryk.net/phryk-evil-mad-sciences-llc/gulik/',
        version=version,
        license='GPLv3',
        classifiers=[
            'Development Status :: 3 - Alpha',
            'Programming Language :: Python :: 3.6',
            'License :: OSI Approved :: GNU General Public License v3 (GPLv3)'
        ],
        python_requires='>=3.6',
        install_requires=[
            'psutil',
            'pycairo',
            'PyGObject',
            'setproctitle',
            'requests'
        ],
        scripts=['bin/gulik'],
        packages=['gulik'],
        package_data={'gulik': ['_version', 'gulik.png']},
        data_files=[('man/man1', ['doc/man/gulik.1'])]
    )
